#ifndef FE_ZBUFFER
#define FE_ZBUFFER

// nouveuaté ! le zbuffer occupe tout l'écran, le rendu 3d offre donc de meilleures possibilités
#define FE_ZB_SIZE_X 128
#define FE_ZB_SIZE_Y 64

class FE_ZBuffer
{
public:
	static void clear(); // does not really clear the zbuffer, but changes encoding sign for the next frame ** on 1st frame, allocates data
	static bool setDist(int x, int y, int dist); // if you are allowed to draw the pixel on vram
private:
	static unsigned short* m_data;
	static int m_sign;
}



#endif